| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties | Private Attributes

# IG::Num::SimKosecFileManagerBase::InputFieldDefinition Class Reference

Contains data about a field that is recoginzed in the input file, such as field identification number, name, and description. This class is immutable except for Description, and it is thread safe in the scope of intended use. More...

List of all members.

## Public Member Functions
| InputFieldDefinition (int id, string name)
| Constructs new input field definition.
| InputFieldDefinition (int id, string name, string description)
| Constructs new input field definition.
| InputFieldDefinition (int id, string name, string description, string defaultValue)
| Constructs new input field definition.
## Public Attributes
const string | DefaultName = "UndefVarName"
## Properties
int | Id`[get, set]`
| Unique ID of the input field (this really matters in the input file).
string | Name`[get, set]`
| Agreed mnemonic name of the input field (case sensitive). If set to null or empty string then some default string is assigned.
string | Description`[get, set]`
| Optional description of the input field.
bool | DefaultValueDefined`[get]`
| Whether the default value is defined or not.
string | DefaultValue`[get, set]`
| Default value for the curretn input field.
## Private Attributes
int | _id
string | _name
string | _description
string | _defaultvalue

## Detailed Description

Contains data about a field that is recoginzed in the input file, such as field identification number, name, and description. This class is immutable except for Description, and it is thread safe in the scope of intended use.

## Constructor & Destructor Documentation

IG::Num::SimKosecFileManagerBase::InputFieldDefinition::InputFieldDefinition | ( | int | id,
|  | string | name
| ) |  | `[inline]`

Constructs new input field definition.

Parameters:

  id | Unique ID of the input field (this really matters in the input file).
  name | Agreed mnemonic name of the input field (case sensitive). If null or empty string then some default string will be assigned.

IG::Num::SimKosecFileManagerBase::InputFieldDefinition::InputFieldDefinition | ( | int | id,
|  | string | name,
|  | string | description
| ) |  | `[inline]`

Constructs new input field definition.

Parameters:

  id | Unique ID of the input field (this really matters in the input file).
  name | Agreed mnemonic name of the input field (case sensitive). If null or empty string then some default string will be assigned.
  description | Optional description of the input field.

IG::Num::SimKosecFileManagerBase::InputFieldDefinition::InputFieldDefinition | ( | int | id,
|  | string | name,
|  | string | description,
|  | string | defaultValue
| ) |  | `[inline]`

Constructs new input field definition.

Parameters:

  id | Unique ID of the input field (this really matters in the input file).
  name | Agreed mnemonic name of the input field (case sensitive). If null or empty string then some default string will be assigned.
  description | Optional description of the input field.
  defaultValue | Default value of the field.

## Member Data Documentation

int IG::Num::SimKosecFileManagerBase::InputFieldDefinition::_id`[private]`

string IG::Num::SimKosecFileManagerBase::InputFieldDefinition::_name`[private]`

const string IG::Num::SimKosecFileManagerBase::InputFieldDefinition::DefaultName = "UndefVarName"

string IG::Num::SimKosecFileManagerBase::InputFieldDefinition::_description`[private]`

string IG::Num::SimKosecFileManagerBase::InputFieldDefinition::_defaultvalue`[private]`

## Property Documentation

int IG::Num::SimKosecFileManagerBase::InputFieldDefinition::Id`[get, set]`

Unique ID of the input field (this really matters in the input file).

string IG::Num::SimKosecFileManagerBase::InputFieldDefinition::Name`[get, set]`

Agreed mnemonic name of the input field (case sensitive). If set to null or empty string then some default string is assigned.

string IG::Num::SimKosecFileManagerBase::InputFieldDefinition::Description`[get, set]`

Optional description of the input field.

bool IG::Num::SimKosecFileManagerBase::InputFieldDefinition::DefaultValueDefined`[get]`

Whether the default value is defined or not.

string IG::Num::SimKosecFileManagerBase::InputFieldDefinition::DefaultValue`[get, set]`

Default value for the curretn input field.

The documentation for this class was generated from the following file:

- SimKosecFileManagerBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events